aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libsigsegv/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-02-11 11:38:17 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2015-02-11 11:38:17 +0000
commitd107ecd679cf2f893b92d5abb0d0079d8e46fbfa (patch)
treefc873cb4dd41706455cfe81602a10c5aad248106 /testing/libsigsegv/APKBUILD
parent87250f8296271883cb125b042e3984863f478fa1 (diff)
downloadaports-d107ecd679cf2f893b92d5abb0d0079d8e46fbfa.tar.gz
aports-d107ecd679cf2f893b92d5abb0d0079d8e46fbfa.tar.bz2
aports-d107ecd679cf2f893b92d5abb0d0079d8e46fbfa.tar.xz
testing/libsigsegv: new aport
Diffstat (limited to 'testing/libsigsegv/APKBUILD')
-rw-r--r--testing/libsigsegv/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/libsigsegv/APKBUILD b/testing/libsigsegv/APKBUILD
new file mode 100644
index 0000000000..f3709d9203
--- /dev/null
+++ b/testing/libsigsegv/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=libsigsegv
+pkgver=2.10
+pkgrel=0
+pkgdesc="Page fault detection library"
+url="http://www.gnu.org/software/libsigsegv/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libsigsegv-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="7f96fb1f65b3b8cbc1582fb7be774f0f libsigsegv-2.10.tar.gz"
+sha256sums="8460a4a3dd4954c3d96d7a4f5dd5bc4d9b76f5754196aa245287553b26d2199a libsigsegv-2.10.tar.gz"
+sha512sums="9464b3343af5042169f208781ffa9d1f7e5e1ee8654c1e6aca5581157b43eedc5ee504a56eb905c61443273bcfc8da6822ecc6499c5f589570ad0ba02d8d8cc2 libsigsegv-2.10.tar.gz"